#!/bin/bash

JarPath=/opt/novell/iprintmgmt/lib
LOGLEVEL=NOTSET

#TODO
#1. Parse the iprntman command line
#2. retrieve --log-level option value and set it to above LOGLEVEL variable.

# escape any single quotes in an argument and then quote it
quote(){
  sed -e "s,','\\\\'',g; 1s,^,',; \$s,\$,',;" << EOF
$1
EOF
}

# save up a properly quoted/escaped version of "$@"
for arg in "$@"; do
  case "$arg" in
  # when a string contains a "'" we have to escape it
  *\'*)
    saved="${saved:+$saved }$(quote "$arg")"
    ;;
  # otherwise just quote the variable
  *)
    saved="${saved:+$saved }'$arg'"
    ;;
  esac
done

#echo original command line, $# arguments: "$@"

while [ "$1" != "" ]; do
    case $1 in
        --log-level)           shift
                               LOGLEVEL=$1
        echo "Log Level of iprintman is set to : $LOGLEVEL ."
                                ;;
    esac
    shift
done
#echo mangled command line, $# arguments: "$@"

# restore the cmdline
eval set -- "$saved"
#echo restored command line, $# arguments: "$@"
#while test -n "$@"; do echo arg: "$1"; shift; done


#Execute the binary with following options.
/usr/lib64/jvm/jre-1.8.0-ibm/bin/java -DiPrintman.logLevel=$LOGLEVEL -Djavax.net.ssl.trustStore=$HOME/iPrintman.keystore -DiPrintman.certstorepath=$HOME -Djava.util.logging.config.file=/opt/novell/iprintmgmt/lib/Logger.properties -cp $JarPath/:$JarPath/iPrintManCLI.jar:$JarPath/iPrintManCore.jar com.novell.service.iPrint.cli.IPrintManCLI "$@"

